usb_hcd_pci_probe
Prev | Chapter 6. Host Controller APIs | Next

## Name

usb_hcd_pci_probe — initialize PCI-based HCDs

## Synopsis

`int usb_hcd_pci_probe (` | struct pci_dev * | dev,
| const struct pci_device_id * | id`)`;

## Arguments

`dev`

  USB Host Controller being probed

`id`

  pci hotplug id connecting controller to HCD framework

## Context

!`in_interrupt`

## Description

Allocates basic PCI resources for this USB host controller, and then invokes the `start` method for the HCD associated with it through the hotplug entry's driver_data.

Store this function in the HCD's struct pci_driver as `probe`.

Prev | Up | Next
usb_remove_hcd | Home | usb_hcd_pci_remove